#!/bin/bash

NAME_SUFFIX=$1
NAME_PREFIX=`date "+%Y-%m-%d"`

function my_vbuild {
    TAG=$1
    DISTRO=$2
    ARCH=$3
    NAME=$NAME_PREFIX--$TAG-$DISTRO-$ARCH
    if [[ $NAME_SUFFIX != "" ]]
    then
	NAME="${NAME}-${NAME_SUFFIX}"
    fi

    CMD="/root/bin/vbuild-nightly.sh -m build@onelab.eu -d onelab -f ${DISTRO} "

    if [[ $TAG == "k27" ]]
    then
	CMD="${CMD} -t onelab-k27-tags.mk"
    fi

    if [[ $ARCH == "32" ]]
    then
	CMD="${CMD} -p linux32"
    else
	CMD="${CMD} -p linux64"
    fi
    
    CMD="${CMD} -b $NAME"

    exec $CMD
}

my_vbuild k27 f12 32
my_vbuild k22 f8 32
my_vbuild k22 centos5 32

